Bug 89952 - Unclean shutdown of attached gdb -> cannot attach any more
Unclean shutdown of attached gdb -> cannot attach any more
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdb (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 05:58 EDT by Johan Walles
Modified: 2015-01-07 19:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-30 09:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A program that never finishes. Repro case. (228 bytes, text/plain)
2003-04-30 05:59 EDT, Johan Walles
no flags Details

  None (edit)
Description Johan Walles 2003-04-30 05:58:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
If you have gdb attached to a program and gdb is killed, it is no longer
possible to attach another instance of gdb to the running program.

I have reproduced this on RHAS on ia32 and ia64.

Version-Release number of selected component (if applicable):
5.1-1 on ia32 and 5.2-2 on ia64

How reproducible:
Always

Steps to Reproduce:
1. Start a program that runs for a long time (will attach example).
2. Attach to it with gdb.
3. killall -9 gdb
4. Attach to it with a new gdb instance.


Actual Results:  Gdb hangs trying to attach to the program.

Expected Results:  Gdb should have attached to the program.

Additional info:  Will attach example program.
Comment 1 Johan Walles 2003-04-30 05:59:10 EDT
Created attachment 91409 [details]
A program that never finishes.  Repro case.
Comment 2 Johan Walles 2003-04-30 06:22:15 EDT
This has been reported in GDB's bug reporting system as well.  Bug id is  gdb/1196.
Comment 4 Jan Kratochvil 2006-12-30 09:04:10 EST
External Bug reference URL:
http://sources.redhat.com/cgi-bin/gnatsweb.pl?cmd=view+audit-trail&pr=1196

Note You need to log in before you can comment on or make changes to this bug.